Name:		mousetweaks
Version:	2.22.3
Release:	1%{?dist}
Summary:	Mouse accessibility support for the GNOME desktop
Group:		User Interface/Desktops
License:	GPLv3 and GFDL
URL:		http://live.gnome.org/Mousetweaks/Home   
Source0:	http://download.gnome.org/sources/mousetweaks/2.22/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext
BuildRequires:  perl(XML::Parser)
BuildRequires:  gnome-doc-utils
BuildRequires:  pkgconfig
BuildRequires:  GConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libglade2-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  at-spi-devel

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2


%description
The Mousetweaks package provides mouse accessibility enhancements for
the GNOME desktop, such as performing various clicks without using any
hardware button. The options can be accessed through the Accessibility 
tab of the Mouse Preferences of GNOME Control Center or through command-line.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang mousetweaks --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/mousetweaks.schemas \
	%{_sysconfdir}/gconf/schemas/pointer-capture-applet.schemas \
	>/dev/null
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/mousetweaks.schemas \
	%{_sysconfdir}/gconf/schemas/pointer-capture-applet.schemas \
	>/dev/null

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/mousetweaks.schemas \
	%{_sysconfdir}/gconf/schemas/pointer-capture-applet.schemas \
	>/dev/null
fi

%files -f mousetweaks.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.FDL COPYING.GPL README NEWS 
%{_sysconfdir}/gconf/schemas/mousetweaks.schemas
%{_sysconfdir}/gconf/schemas/pointer-capture-applet.schemas
%{_bindir}/dwell-click-applet
%{_bindir}/mousetweaks
%{_bindir}/pointer-capture-applet
%{_libdir}/bonobo/servers/DwellClick_Factory.server
%{_libdir}/bonobo/servers/PointerCapture_Factory.server
%{_datadir}/mousetweaks
%doc %{_mandir}/man1/*

%changelog
* Tue Jul 1 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.3-1
- Update to 2.22.3

* Thu May 1 2008 Will Woods <wwoods@redhat.com> - 2.22.1-2
- Fix typo in package scriptlets

* Sat Apr 26 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.1-1
- Initial packaging
